# FTP Download

**FTPDownload** downloads a file from an FTP-site.

***

## Properties

### Connection

Use the [Connection Editor](/reference/plugins/ftp/sharedproperties/connectioneditor.md) to provide the connection values for connecting to the FTP server.

### Remote folder

The folder on the FTP-site that contains the file(s) to download.

### Remote file name

Pattern of the file types to download.

### Destination folder

The local folder where the file(s) should be downloaded to.

### Include subfolders

Select to download files in subfolders that match the specified pattern.

### Purge destination

Select to delete local files that are not on the remote server.

***

## Links

[Wikipedia: File Transfer Protocol](http://en.wikipedia.org/wiki/File_Transfer_Protocol)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/ftp/content/ftpdownload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
